Bug 19570 - autocomplete="off" no set for login forms at the OPAC
Summary: autocomplete="off" no set for login forms at the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19552
  Show dependency treegraph
 
Reported: 2017-11-02 20:01 UTC by Jonathan Druart
Modified: 2018-06-04 20:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19570: Add autocomplete='off' for login forms at the opac (5.43 KB, patch)
2017-11-02 20:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19570: Add autocomplete to opac-main as well (2.12 KB, patch)
2017-11-06 15:17 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19570: Add autocomplete='off' for login forms at the opac (5.48 KB, patch)
2017-11-19 21:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19570: Add autocomplete to opac-main as well (2.19 KB, patch)
2017-11-19 21:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19570: Add autocomplete='off' for login forms at the opac (5.55 KB, patch)
2017-11-27 12:53 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19570: Add autocomplete to opac-main as well (2.27 KB, patch)
2017-11-27 12:53 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19570: Add autocomplete='off' for login forms at the opac (5.61 KB, patch)
2017-12-08 18:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19570: Add autocomplete to opac-main as well (2.31 KB, patch)
2017-12-08 18:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-11-02 20:01:53 UTC
150112 Sensitive form field has not disabled autocomple
Comment 1 Jonathan Druart 2017-11-02 20:08:03 UTC
Created attachment 68901 [details] [review]
Bug 19570: Add autocomplete='off' for login forms at the opac
Comment 2 M. Tompsett 2017-11-06 15:17:01 UTC
Created attachment 68981 [details] [review]
Bug 19570: Add autocomplete to opac-main as well

To confirm all the files were modified for opac, typed
this:
$ git grep -i password | grep opac | grep -v "[.]po:" | grep
"opac[^/]*[.]tt:" | cut -f1 -d: | sort -u

The follow output was handled as follows:
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-auth.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-memberentry.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-passwd.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-registration-confirmation.tt
These were already done in the first patch.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-password-recovery.tt
This already had the autocomplete modification.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt
This was a false-find. There was no modification necessary.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
This is the modal login in. This patch amends it.
Comment 3 Katrin Fischer 2017-11-19 21:20:49 UTC
Created attachment 69217 [details] [review]
Bug 19570: Add autocomplete='off' for login forms at the opac

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2017-11-19 21:20:52 UTC
Created attachment 69218 [details] [review]
Bug 19570: Add autocomplete to opac-main as well

To confirm all the files were modified for opac, typed
this:
$ git grep -i password | grep opac | grep -v "[.]po:" | grep
"opac[^/]*[.]tt:" | cut -f1 -d: | sort -u

The follow output was handled as follows:
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-auth.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-memberentry.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-passwd.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-registration-confirmation.tt
These were already done in the first patch.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-password-recovery.tt
This already had the autocomplete modification.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt
This was a false-find. There was no modification necessary.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
This is the modal login in. This patch amends it.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Marcel de Rooy 2017-11-27 12:53:27 UTC
Created attachment 69373 [details] [review]
Bug 19570: Add autocomplete='off' for login forms at the opac

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2017-11-27 12:53:32 UTC
Created attachment 69374 [details] [review]
Bug 19570: Add autocomplete to opac-main as well

To confirm all the files were modified for opac, typed
this:
$ git grep -i password | grep opac | grep -v "[.]po:" | grep
"opac[^/]*[.]tt:" | cut -f1 -d: | sort -u

The follow output was handled as follows:
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-auth.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-memberentry.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-passwd.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-registration-confirmation.tt
These were already done in the first patch.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-password-recovery.tt
This already had the autocomplete modification.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt
This was a false-find. There was no modification necessary.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
This is the modal login in. This patch amends it.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2017-12-08 18:02:32 UTC
Created attachment 69654 [details] [review]
Bug 19570: Add autocomplete='off' for login forms at the opac

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2017-12-08 18:02:36 UTC
Created attachment 69655 [details] [review]
Bug 19570: Add autocomplete to opac-main as well

To confirm all the files were modified for opac, typed
this:
$ git grep -i password | grep opac | grep -v "[.]po:" | grep
"opac[^/]*[.]tt:" | cut -f1 -d: | sort -u

The follow output was handled as follows:
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-auth.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-memberentry.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-passwd.tt
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-registration-confirmation.tt
These were already done in the first patch.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-password-recovery.tt
This already had the autocomplete modification.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt
This was a false-find. There was no modification necessary.

    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
This is the modal login in. This patch amends it.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Chris Cormack 2017-12-21 00:00:42 UTC
Pushed to 16.11.x will be in 16.11.15
Comment 10 Nick Clemens 2017-12-22 10:57:37 UTC
Pushed to stable for 17.11.01
Comment 11 Fridolin SOMERS 2018-01-04 09:14:47 UTC
Pushed to 17.05.x for 17.05.07
Comment 12 Jonathan Druart 2018-01-09 20:30:40 UTC
Pushed to master for 18.05, thanks to everybody involved!